Novi Data v3 API
Retrieve paginated subsurface data
Fetching subsurface filtered by column1 = value1 and column2 = value2 looks like this: /api/v3/subsurface.json?q[Column1_eq]=value1&q[column2_eq]=value2
Retrieve paginated subsurface data
/subsurfaceFetching subsurface filtered by column1 = value1 and column2 = value2 looks like this: /api/v3/subsurface.json?q[Column1_eq]=value1&q[column2_eq]=value2
Results can be rolled up with agg_function, agg_columns, agg_group_by_columns and join_table.
Parameters
Query parameters
scopestringOptionalDefault
"us-horizontals"The dataset:
us-horizontals(US horizontals),gom(Gulf of Mexico) orus-onshore(US onshore). Defaults tous-horizontals."us-horizontals""gom""us-onshore"pagenumberOptionalPage number for pagination
qobjectOptionalFilter with Ransack matchers, for example
q[Basin_eq]=Permian. See Ransack search matchers.agg_functionstringOptionalSpecify the aggregate function: SUM, MAX, MIN, AVG, COUNT or COUNTD.
agg_columnsstringOptionalSpecify the column name(s) to apply the aggregate function to. For example, OilPerDay, GasPerDay performs SUM(OilPerDay), SUM(GasPerDay) when agg_function is SUM. Column names are case-sensitive.
agg_group_by_columnsstringOptionalSpecify the column name(s) to group the results by, such as Basin, State, County. Column names are case-sensitive.
join_tablestringOptionalSpecify the table to join with, for example Wells. Case-sensitive.
Responses
200 OK
Paginated subsurface data, as JSON.
The OpenAPI document has no schema for this response.